Loading...
Searching...
No Matches
mqtt::missing_response Class Reference

`#include <exception.h>`

Inheritance diagram for mqtt::missing_response:

## Public Member Functions

| missing_response (const string &rsp)
Public Member Functions inherited from mqtt::exception
| exception (int rc)
| exception (int rc, ReasonCode reasonCode)
| exception (int rc, const string &msg)
| exception (int rc, ReasonCode reasonCode, const string &msg)
int | get_return_code () const
string | get_error_str () const
int | get_reason_code () const
string | get_reason_code_str () const
string | get_message () const
string | to_string () const

## Additional Inherited Members

Static Public Member Functions inherited from mqtt::exception
static string | error_str (int rc)
static string | reason_code_str (int reasonCode)
static string | printable_error (int rc, ReasonCode reasonCode=ReasonCode::SUCCESS, const string &msg=string())
Static Protected Member Functions inherited from mqtt::exception
static ReasonCode | reason_code (int rc, ReasonCode reasonCode)
Protected Attributes inherited from mqtt::exception
int | rc_
ReasonCode | reasonCode_
string | msg_

## Detailed Description

Exception thrown when an expected server response is missing.

## Constructor & Destructor Documentation

## missing_response()

mqtt::missing_response::missing_response | ( | const string & | rsp | ) |

inline

Create a missing response error.

Parameters

  rsp | A string for the type of response expected.

The documentation for this class was generated from the following file:

- exception.h